%define major 0
%define libname %mklibname digidocpp %major
%define develname %mklibname digidocpp -d

Name:		libdigidocpp
Version:	3.6.0.0
Release:	%mkrel 3
Summary:	Library for creating and validating BDoc and DDoc containers

Group:		System/Libraries
License:	LGPLv2
URL:		http://id.eesti.ee
# svn export https://svn.eesti.ee/projektid/idkaart_public/branches/3.6/libdigidocpp/ libdigidocpp-3.6.0.0 && tar cjf libdigidocpp-3.6.0.0.tar.bz2 libdigidocpp-3.6.0.0
Source:		%{name}-%{version}.tar.bz2
Patch0:		libdigidocpp-3.6.0.0-cmake_sysconfdir.patch

BuildRequires:	cmake
BuildRequires:	libdigidoc-devel
BuildRequires:	xml-security-c-devel
BuildRequires:	xsd-devel
Requires:	%{_lib}digidoc2
Requires:	esteidcerts

%description
libdigidocpp is a C++ library for reading, validating, and creating BDoc and
DDoc containers. These file formats are widespread in Estonia where they are
used for storing legally binding digital signatures.


%package	-n %libname
Group:		System/Libraries
Summary:	Library for creating and validating bdoc and ddoc containers
Requires:	%{name} >= %{version}-%{release}

%description	-n %libname
libdigidocpp is a C++ library for reading, validating, and creating BDoc and
DDoc containers. These file formats are widespread in Estonia where they are
used for storing legally binding digital signatures.


%package	-n %develname
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Requires:	libdigidoc-devel
Requires:	libp11-devel
Requires:	openssl-devel
Requires:	xml-security-c-devel
Requires:	xsd-devel
Provides:	%{name}-devel = %{version}-%{release}

%description	-n %develname
This package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1 -b .sysconfdir


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ../..
popd

%make -C %{_target_platform}/build


%install
%makeinstall_std -C %{_target_platform}/build

# Those certs come from another package
rm -rf %{buildroot}%{_datadir}/esteid/certs


%files
%{_sysconfdir}/digidocpp/
%config %{_sysconfdir}/digidocpp/digidocpp.conf
%{_bindir}/digidoc-*
%doc README.linux

%files -n %libname
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.3.6.0

%files -n %develname
%{_includedir}/digidocpp/
%{_libdir}/pkgconfig/lib*.pc
%{_libdir}/*.so


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.6.0.0-3.mga3
+ Revision: 356976
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 18 2012 sander85 <sander85> 3.6.0.0-2.mga3
+ Revision: 295988
- Fix cmake sysconfdir

* Mon Sep 17 2012 sander85 <sander85> 3.6.0.0-1.mga3
+ Revision: 295432
- New version: 3.6.0.0

* Sat Jul 21 2012 sander85 <sander85> 3.5.1-1.mga3
+ Revision: 273185
- new version: 3.5.1

* Sun Jan 08 2012 sander85 <sander85> 3.5.0-1.mga2
+ Revision: 193310
- new version: 3.5.0
- rebuild for new libp11

* Sat Apr 23 2011 sander85 <sander85> 3.1.0-1.mga1
+ Revision: 89918
- imported package libdigidocpp

